/*
 *  Copyright (C) 2006 CSIRO Australia
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  - Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  
 *  - Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  
 *  - Neither the name of the CSIRO nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 *  PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE ORGANISATION OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef PHPANX_WRITE_H
#define PHPANX_WRITE_H 1

#define PHPANX_WRITE_FUNCTIONS			\
	PHP_FE(anx_init_importers, NULL)	\
	PHP_FE(anx_write_get_next_page_size, NULL)	\
	PHP_FE(anx_write_import, NULL)		\
	PHP_FE(anx_insert_clip, NULL)		\
	PHP_FE(anx_insert_cmml, NULL)		\
	PHP_FE(anx_write, NULL)			\
	PHP_FE(anx_write_output, NULL)		\

PHP_FUNCTION(anx_init_importers);
PHP_FUNCTION(anx_write_get_next_page_size);
PHP_FUNCTION(anx_write_import);
PHP_FUNCTION(anx_insert_clip);
PHP_FUNCTION(anx_insert_cmml);
PHP_FUNCTION(anx_write);
PHP_FUNCTION(anx_write_output);

#endif

